summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel de Kok2010-05-11 15:00:13 +0200
committer Michiel van Wessem2010-05-11 15:00:13 +0200
commit8f396336433f8160d98fa543c50c41a15e09773d (patch)
tree4737db3a970d23c75cd53dab59a5e1b33a993b57
parent302e4855b919723352c797318a38c6922bf9482b (diff)
downloadslackbuilds-8f396336433f8160d98fa543c50c41a15e09773d.tar.gz
misc/matchbox-common: Initial import
-rw-r--r--misc/matchbox-common/README13
-rw-r--r--misc/matchbox-common/matchbox-common.SlackBuild75
-rw-r--r--misc/matchbox-common/matchbox-common.info8
-rw-r--r--misc/matchbox-common/slack-desc11
4 files changed, 107 insertions, 0 deletions
diff --git a/misc/matchbox-common/README b/misc/matchbox-common/README
new file mode 100644
index 0000000000..65ce7e52e8
--- /dev/null
+++ b/misc/matchbox-common/README
@@ -0,0 +1,13 @@
+Matchbox is a lightweight environment for the X Window System, that
+is specifically designed for embedded platforms such as handhelds
+and set-top boxes.
+
+This is a build for the common files that are shared between Matchbox
+applications. It does not require other packages, but isn't particularly
+useful without matchbox-desktop or matchbox-panel.
+
+You will need to have the Matchbox library (libmatchbox) installed, which
+can also be found on this site.
+
+The Matchbox homepage can be found at:
+http://projects.o-hand.com/matchbox/
diff --git a/misc/matchbox-common/matchbox-common.SlackBuild b/misc/matchbox-common/matchbox-common.SlackBuild
new file mode 100644
index 0000000000..a3d78d19fb
--- /dev/null
+++ b/misc/matchbox-common/matchbox-common.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for matchbox-common
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=matchbox-common
+VERSION=0.9.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-startup-notification \
+ --enable-dnotify \
+ --enable-acpi-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/matchbox-common/matchbox-common.info b/misc/matchbox-common/matchbox-common.info
new file mode 100644
index 0000000000..0079e54725
--- /dev/null
+++ b/misc/matchbox-common/matchbox-common.info
@@ -0,0 +1,8 @@
+PRGNAM="matchbox-common"
+VERSION="0.9"
+HOMEPAGE="http://projects.o-hand.com/matchbox/"
+DOWNLOAD="http://projects.o-hand.com/matchbox/sources/matchbox-common/0.9/matchbox-common-0.9.1.tar.bz2"
+MD5SUM="8e8ba0ee170a9ac78fdc583b00ccf76b"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/misc/matchbox-common/slack-desc b/misc/matchbox-common/slack-desc
new file mode 100644
index 0000000000..c26f54f9d3
--- /dev/null
+++ b/misc/matchbox-common/slack-desc
@@ -0,0 +1,11 @@
+matchbox-common: matchbox-common (Shared Matchbox files)
+matchbox-common:
+matchbox-common: Matchbox is a lightweight environment for the X Window System,
+matchbox-common: that is specifically designed for embedded platforms such as
+matchbox-common: handhelds and set-top boxes.
+matchbox-common: This package contains common files that are shared between
+matchbox-common: Matchbox applications.
+matchbox-common:
+matchbox-common: The Matchbox homepage can be found at:
+matchbox-common: http://projects.o-hand.com/matchbox/
+matchbox-common: